%\as{Introduce the general idea: we base the method on the hypothesis that each MWE has a variability profile. We approximate this profile by features inspired by \cp{ref NAACL} \& \cite{DBLP:journals/coling/FazlyCS09}.
%Why are syntactic dependencies so relevant to variants?}
%To achieve MWE variant identification, we hypothesize that each MWE is characterized by a variability profile. 
%Variability is a broader phenomenon than just inflection, which can be neutralized with lemmatization. The variability profile should also take into account syntax, as demonstrated by measures of syntactic fixedness to discriminate MWEs from no-MWEs \cite{DBLP:journals/coling/FazlyCS09}.  

We hypothesize that VMWE variability profiles can be exploited to achieve a better VMWE variant identification than the baseline. Variability profiles will be approximated by a set of morpho-syntactic features (Sec.~\ref{ident:features}). 
%
%Indeed, (i) as highlighted by \newcite{DBLP:journals/coling/FazlyCS09}, some features tend to predominate in no-MWEs (e.g.\ passivization); 
%(ii) syntactic dependencies can be specific to MWEs as the required though not lexicalized adjective in \exidio{\lex{filer le} parfait/grand.ADJ \lex{amour}}{to spin the perfect/great love} but such variation could be neutralized by comparing the insertions of POS.\\
%the linear similarity defined in \newcite{PasquerSavaryRamischAntoine18}.\todo{CR: Not sure it's wise to refer to this unpublished article - hinders anonymity}
%We then propose to approximate the MWEs profile by reusing the global or specific features described in (i) and (ii).
%we first present a baseline relying on syntactic dependencies (Sec. \ref{ident:baseline}). 
%In this section, we propose to exploit all variation related features (Sec.\ref{ident:features}). 
%
We will first use a more exhaustive candidate extraction method than the baseline, so as to avoid false negatives. Then, the features should help discriminate true STVs from spurious candidates (Sec.~\ref{sec:method}).
%, denoted by $V(E)$ from spurious candidates, denoted by $NV(E)$ (Sec.\ref{sec:method}). CR20180315 too early to introduce these acronyms which are only used much later

\subsection{Variation-related features}
\label{ident:features}
We describe the profile of any given STV candidate expression $e$ (hereafter called `candidate' or $e$) by binary features characterized according to two dimensions:

\noindent\textbf{Morphological, linear and syntactic features} model characteristics discussed in Sec.~\ref{sec:variability}, such as verbal/nominal inflection, linear insertions between components (e.g.\ adjectives, adverbs) or discrepancies between syntactic dependencies (e.g.\ subject vs.\ object). %This behavior can be represented from an absolute or comparative point of view.

\noindent\textbf{Comparative and absolute features}: Comparative features are based on the comparison of $e$ with lexically identical VMWEs from TrC, e.g.\ if $e$'s noun is found at least once with same inflection in a lexically identical VMWE in TrC, then the COMP\_genderNumber($e$) feature is True. Absolute features consist in contextual properties of $e$, e.g.\ if $e$'s noun is in singular, the numberSing($e$) feature is True. 

\subsubsection{Comparative features (COMP)}
\label{ident:COMPfeatures}
%Contrary to ABS features, 
COMP features verify the correspondence of $e$'s properties with those of VMWEs annotated in TrC. Henceforth, we say that a property of $e$ matches if it is the same for $e$ and for at least one lexically identical annotated VMWE in TrC. 
%whether the properties of a candidate $e$ match at least one lexically identical VMWE in TrC. 
COMP features are binary (their value is False when no match is found and True otherwise) and belong to 3 types: morphological, linear and syntactic.

\noindent\textbf{Morphological similarity} is represented by a single feature, COMP\_genderNumber, which focuses on the nominal inflection only, since previous experiments showed that it is more informative than verbal inflection \cite{pasquer:hal-01802238}. 
%Thus, COMP\_genderNumber($e$) is True if $e$'s plural matches.
Thus, COMP\_genderNumber($e$) is True if $e$'s inflection matches.
%\todo{AS :to confirm Quid du genre? ; CP : genre + nombre sont considérés conjointement}
%If $e$ in in plural while all its all lexically identical VMWEs in TrC are in singular, or conversely \as{to confirm}, then COMP\_genderNumber($e$) is equal to False, and True otherwise.

\noindent \textbf{Linear similarity} features account for different degrees of similarity: 
\vspace{-2mm}
\begin{sitem}
\item COMP\_insertRaw: True if the POS sequence of insertions between lexicalized components of $e$ matches. For instance, if $e$ has an Adj-Adj-Det insertion, it can only match a VMWE having the identical sequence of insertions, Adj-Adj-Det.
%\vspace{-4mm}
\item COMP\_insertWithoutDuplicate: Same as above, ignoring duplicated POS, so Adj-Adj-Det can match both Adj-Adj-Det and Adj-Det.  This feature neutralizes duplications, as we believe that MWEs have constraints on the POS of allowed insertions, but not on their number (e.g.\ it is rare that one adjective is tolerated but not two). 
%\vspace{-4mm}
\item COMP\_insertPartial: True if a POS substring of more than 50\% and less than 100\% of insertions in $e$ matches. This feature identifies the similarity between \ile{\lex{play}} \ile{a}.DET \ile{very}.ADV \ile{important}.ADJ \ile{\lex{role}} and \ile{\lex{play}} \ile{his}.DET \ile{first}.ADJ \ile{major} \ile{\lex{role}}.
However, linear similarity does not capture postnominal adjectives (e.g.\ \exidio{\lex{jouer} un \lex{rôle}  important}{play a role important}), hence the interest in syntactic similarity.
%\vspace{-2mm}
\end{sitem}

\noindent\textbf{Syntactic similarity} Like for morphological features, we noticed greater influence of the outgoing dependencies of the noun, as in Fig.\ref{fig:true-false}.b (contrary to incoming dependencies in Fig.\ref{fig:true-false}.a), hence the focus on the noun. These syntactic features include:
\vspace{-2mm}
\begin{sitem}
\item COMP\_depSynNounTotal, COMP\_depSynNounPartial: True if 100\%, or more than 50\% and less than 100\%, of the noun's outgoing dependencies match, respectively.
%\vspace{-2mm}
\item COMP\_distSyn : True if the syntactic distance between the verb and the noun matches. The \textit{syntactic distance} between two components is defined as the number of elements in the syntactic dependency chain between these two components, regardless of the direction of the dependencies and excluding the components themselves. Inside known VMWEs, the syntactic distance never exceeds 2, so that the value is set to "$>$2" when this case occurs.  In Fig.~\ref{fig:true-false}.c this chain is composed of \ile{\uwave{jouera}-film-tiendra-\uwave{rôle}}. Supposing that all the VMWEs of the corpus are represented in Fig.~\ref{fig:true-false}, the syntactic distance is 2, hence COMP\_distSyn = False since it differs from all the annotated VMWEs.
%\vspace{-2mm}
\item COMP\_typeDistSyn: True if the type of the syntactic distance matches. This type takes dependency directions into account, and can be serial (in Fig.~\ref{fig:true-false}.f, the noun \exlit{rôles}{roles} depends on \exlit{tas}{pile}, which itself depends on the verb \exlit{jouer}{play}), parallel (in Fig.~\ref{fig:true-false}.e, both \exlit{jouer}{play} and \exlit{rôle}{role} depend on the non-lexicalized component \exlit{clé}{key}) or ``nonEvaluated'' when the syntactic distance exceeds 2 elements.
\end{sitem}
%\vspace{-2mm}
We expect COMP features to be highly relevant. For instance, the noun in many VMWEs must remain in singular, as in  (\ref{ex:fr:tourner-page-infl}) vs. (\ref{ex:fr:tourner-page-lit}), or in plural, as in (\ref{ex:fr:casser-oreilles}).
 %(\exidio{\lex{quitter les lieux}}{leave the places}{leave the premises} vs. \exlit{\litr{quitter le lieu}}{quit the place}). 
However, COMP features might fail in case of rare VMWEs, and cannot be calculated for hapaxes. Therefore, absolute features should also be useful.

\subsubsection{Absolute features (ABS)}
\label{ident:ABSfeatures}
For each candidate, the set of %morphological, linear and syntactic 
absolute features includes the following.

\noindent\textbf{Lemmas of the components} can be considered individually or as a sequence. 
%In the former case, 
When considered individually, 
the VMWE in (\ref{ex:fr:tourner-page}) %\exidio{tourner la page}{turn the page} 
has ABS\_verbLemma = \textit{tourner}, ABS\_nounLemma = \textit{page}, and ABS\_detLemma = \textit{le} (when there is no lexicalized determiner, ABS\_detLemma = noDet). 
When considered as a sequence, we sort lemmas lexicographically to neutralize variable word order, as in (\ref{ex:fr:tourner-page}) vs.~(\ref{ex:fr:tourner-page-pass}), and obtain 
%: \exidio{\lex{mettre}.VERB \lex{le}.DET \lex{feu}.NOUN}{put the fire} vs.\ \ile{\lex{le}}.DET \ile{\lex{feu}}.NOUN \ile{\lex{mis}}.VERB). 
the \textit{Normalized Form} (NF).\footnote{The drawback of NF is that it ignores nominal inflection that could help distinguish between (very rare) VMWEs with different surface forms (e.g.~\exlitidio{\lex{fermer l'oeil}}{close the eye}{sleep} vs. \exlitidio{\lex{fermer les yeux}}{close the eyes}{turn a blind eye}). } %Even same surface forms might correspond to distinct VMWEs (\ile{\lex{faire appel}} = \idio{to challenge a decision / to use the services of someone}), but such cases are exceptional in previously studied samples.}} CR20180316 too much detail
Thus, \exidio{le;page;tourner}{the;page;turn} is the ABS\_NF of the VMWEs in (\ref{ex:fr:tourner-page})--(\ref{ex:fr:tourner-page-lit}).

\noindent\textbf{Morphological features} for the noun are: ABS\_numberSing, ABS\_numberPlur, ABS\_genderMasc, ABS\_genderFem. Their value is True when the respective property is satisfied. 
% Number and gender properties are obviously exclusive, e.g. number cannot be both singular and plural. \\
For the verb, we only consider derivational inflection. Namely, the ABS\_verbPrefix feature is True only if the verb starts with one of the most frequent repetition (\ile{re/ré/r}) or negation prefixes (\ile{de/dé}) and if the verb without this prefix matches the verb in any VMWE annotated in TrC, e.g.\ ABS\_verbPrefix is True for the VMWE in (\ref{ex:fr:refaire-le-tour}).
%if the VMWE in (\ref{ex:fr:faire-le-tour}) was seen.
%\todo{AS : verbe comparé avec une VMWE qui a les mêmes lemmes ou pas forcément? 
%Si oui, c'est un trait comparatif et pas absolu.(CP : oui)}
%(e.g. est-ce que \ile{faire le fou} ferait l'affaire pour \ile{refaire le tour}?).
%= \textit{prendre} for the verb \textit{reprendre} \idio{to take again}.
%We also took into account \textbf{derivational variants of the verb} with a feature called VERB\_prefix whose default value is noPrefix. This feature is completed only 

\noindent\textbf{Linear features} correspond to insertions between lexicalized components. %For each occurrence, all existing POS in the corpus are initialized at the 0 and this value becomes 1 if at least one insertion of this POS appears in the occurrence. %CR20180316 this is how you implemented it, I rephrase as what it models
We add one insertion feature per possible POS, which is set to True if the $e$ has an insertion with the given POS. 
For instance in \ile{\lex{effectuer} une}.DET \ile{bonne}.ADJ \ile{première}.ADJ \ile{\lex{saison}} \idio{make a good first season}, we obtain ABS\_insert\_DET = True, ABS\_insert\_ADJ = True, ABS\_insert\_ADV = False, etc. 

\noindent\textbf{Syntactic features} are defined similarly to the linear ones. We introduce one feature per possible dependency relation, and set it to True if the noun in $e$ has at least one outgoing dependency arc with this relation (e.g.~ABS\_relDepNoun\_amod = True for the previous example). 
%all existing dependencies in the corpus are initialized to 0 and this value is actualized to 1 if the property matches at least once with the candidate profile.\\

\noindent\textbf{Syntactic distance} between the verb and the noun is defined as before, i.e.\ as the number of elements in the syntactic dependency chain except for the components themselves.

\noindent\textbf{Type of syntactic distance} also follows the one in COMP features, and can be either serial or parallel.
COMP features are far less numerous than ABS features (9 vs.~72 in the example detailed  in App. \ref{sec:appendixA}). 
%we expect their weights in the classification to be more easily tunable.
%\cp{we expect the corresponding linguistic phenomena to be more easily understood.}
%\todo{AS:Je ne comprends pas. S'il y amoins de traits, ils sont peut-être plus facile à peser. Mais ici on utilise COMP toujours avec ABS, donc je ne vois pas pourquoi COMP serait plus facile à gérer. (CP : modif)} 
%Thus, based on COMP features, we should be able to understand which linguistic phenomena are the most relevant to VMWE similarity.

\subsection{Overview of the method}
\label{sec:method}
Our goal is to extract STVs, i.e.~variants of previously seen VMWEs. 
We wish to enhance over the baseline (Sec.~\ref{sec:baseline}), %by trying to first enhance the recall of the candidate extraction, and then to classify these candidates efficiently.
which is sensitive to indirect dependencies, to dependencies irrelevant to variation, and to annotation errors (which may cause a dramatic performance drop with automatically parsed data), as shown in Fig.~\ref{fig:true-false}.d--f.
%
%\vspace{-2mm}
%\subsubsection{Baseline variant identification}
%\label{ident:baseline}
%
%Thanks to 851 known VMWEs in TrC (2098 occurrences),
%the Baseline extracts candidates by looking for the same lemmas as these known VMWEs that maintain direct dependency relation whatever the labels of dependencies or their directions (Fig.\ref{fig:true}.a vs. \ref{fig:true}.b). Identified candidates can be either true positives (Fig.\ref{fig:true}.a and \ref{fig:true}.b) or true negatives (Fig.\ref{fig:false}.a).
%\begin{figure}
%\setlength{\tabcolsep}{0.3mm}
%\begin{tabular}{ccc}
%\includegraphics[scale=0.68]{images/true1.pdf} &
%\includegraphics[scale=0.68]{images/true2.pdf} &
%\includegraphics[scale=0.68]{images/true3.pdf} 
%\end{tabular}
%\caption{True positives (a,b) and true negative (c)}
%\label{fig:true}
%%---- version d'origine fig.2
%%\begin{tabular}{ccc}
%%\includegraphics[scale=0.65]{images/false1.pdf} &
%%\includegraphics[scale=0.65]{images/false2.pdf} &
%%\includegraphics[scale=0.65]{images/false3.pdf} 
%%\end{tabular}
%%---- fin version d'origine
%\begin{tabular}{cc}
%\includegraphics[scale=0.79]{images/false1.pdf} &
%\includegraphics[scale=0.79]{images/false2.pdf} \\
%\multicolumn{2}{c}{\includegraphics[scale=0.79]{images/false3.pdf} }
%\end{tabular}
%\caption{False positive (a), inconsistent syntactic annotation (b), indirect dependencies (b,c)}
%\label{fig:false}
%\end{figure}
%
%This implementation of the Baseline prevents it from identifying occurrences without direct connection like complex determiners (Fig.\ref{fig:false}.c). Furthermore, even manual annotation is not always consistent as, in Fig.\ref{fig:false}.b, \textit{rôle} should be the head of the compound \ile{\lex{rôle clé} = \lex{key role}} instead of \textit{clé}. This unreliability, expected to be much more important in case of automatically obtained data, motivates the use of other information such as insertions between components or morphological features, much easier to automatically obtain from large raw corpora.
\begin{figure}[ht]
\centering
%\setlength{\tabcolsep}{0.3mm}
\begin{tabular}{cc}
		\begin{tabular}{c}
        %\begin{sloppypar}
        %\parbox{0.28\linewidth}{ }
             %\end{sloppypar}
         \end{tabular}         
         & \begin{tabular}{c}             %\fbox{\includegraphics[scale=0.5]{images/dataFlowTrC.pdf}}             \fbox{\includegraphics[scale=0.5]{images/TrCfinal-crop.pdf}}
         \fbox{\includegraphics[scale=0.5]{images/TrCnew2.pdf}}
		 \end{tabular}\\
         \begin{tabular}{c}
        %\begin{sloppypar}
        %\parbox{0.28\linewidth}{}
             %\end{sloppypar}
         \end{tabular}         
         & \begin{tabular}{c}             \fbox{\includegraphics[scale=0.52]{images/TeCnew.pdf}}
		 \end{tabular}
\end{tabular}
\caption{Candidate and feature extraction in training (above) and during prediction (below).}
\label{fig:dataflow}
\end{figure}
%\as{Objective: extraction of variants of previously seen VMWEs. \\
%Baseline: syntax-based extraction of lexeme co-occurrences annotated in the training data.\\
%Enhanced approach: \\
%- for each $E$ in TRAIN: extraction of candidates $C(E)$ disregarding syntax, \\
%- binary classification of $C(E)$:  into $V(E)$ vs. $NV(E)$\\
We thus propose an enhanced approach in two steps, named \textit{mweVIDE} for MWE variant identification. First, a more relaxed variant candidate extraction is designed so as to achieve a better recall than the baseline (usually at the expense of a dramatic drop in precision), by extracting, for each annotated $e'$ in TrC, its lexically identical candidates, disregarding syntax. Then, the extracted candidates are filtered by a binary classifier based on the features described above. 
Fig.\ref{fig:dataflow} illustrates the two most crucial phases of this process: the candidate extraction and the feature extraction. VMWE candidates from TrC are numbered (TrC1)--(TrC9), as shown in the first gray box. Those from TeC, (TeC1)--(TeC5), are shown in the first white box. Training of the classifier itself, and its application to prediction are standard and disregarded in  Fig.\ref{fig:dataflow}. 

%\textit{OccExtr} will be described in the next section. Disregarding syntax can however have a dramatic effect on precision. Section 4.2.3 presents an additional stage of filtering that intends to reach a satisfactory precision level while keeping the enhanced recall performances of \textit{OccExtr}. Fig.\ref{fig:dataflow} illustrates\cp{, with examples detailed in the two next subsections,} the whole MWE identification process in which \textit{OccExtr} is the preliminary extraction step.
%The different stages of the experiments (Fig. \ref{fig:dataflow}) are detailed below \cp{modifier NF le;passer;temps dans dataflow}.
%\subsubsection{\textit{PosNegExtr}: Extracting positive and negative examples}
\subsubsection{Variant candidate extraction}
The easiest way to obtain a larger variant candidate extraction is to search, in each sentence, the simultaneous presence of all components of known VMWEs whatever their order, as described by \newcite{SavaryCordeiro18}. This phase is called \textit{OccExtr}.  
Consider the first gray box in Fig.\ref{fig:dataflow}, representing TrC, and several expressions related to two VMWEs \exidio{\lex{passer son temps}}{spend one's time} and \exlitidio{\lex{passer le temps}}{spend the time}{invent activities when one has nothing to do}. (TrC1)--(TrC5) are true VMWEs, (TrC6) is a literal reading,
%a true VMWE but wrongly missed by the annotator 
%\todo{AS:confirmer ; CP : modif}
(TrC7) and (TrC9) are accidental co-occurrences, and (TrC8) is not lexically identical to any of the two VMWEs due to a missing determiner. 
Since \textit{OccExtr} matches only occurrences lexically identical to known VMWE, it will extract, trivially, (TrC1)--(TrC5), and (TrC6)(TrC7)(TrC9), but not (TrC8).\footnote{Note that \textit{OccExtr} in training (upper part of Fig.\ref{fig:dataflow}) applies to TrC itself, since classification calls for both positive and negative examples. Conversely, in prediction, \textit{OccExtr} is applied to the blind version of TeC.}
\textit{OccExtr} is expected to improve recall but precision should also significantly decrease. 
To limit possibly huge levels of noise, \textit{OccExtr} extracts candidates in the shortest window. For instance, in (TeC5) only one candidate is extracted despite the repetition of the noun \exlit{temps}{time}.\footnote{This may lead to both false negatives and false positives, as in \exidio{la \lex{collaboration} que nous \uwave{avons}.[AUX=\exidio{avoir}{have}] \lex{eue}.[VERB=\exidio{avoir}{have}]}{the collaboration that we have had}.} 
\textit{OccExtr} is enhanced by additional filtering (\textit{POSfilt}) which eliminates irrelevant POS orders (i.e.~incorrect in French), such as Verb-Noun-Det in (TrC7). Finally, the NFs for all candidates are produced (\textit{Norm}).
%Candidates selection is done by first filtering  
%and, second, establishing a binary classification of $C(E)$ into variants $V(E)$ vs. spurious candidates (denoted by$NV(E)$), as done by our system specifically dedicated to the MWE variant identification which is described next.
%\vspace{-2mm}
%\subsubsection{Multiword Expressions Variant IDEntification : \textit{mweIDE}}
\subsubsection{\textit{mweVIDE}: Binary classification of candidates}

As a result of the previous phase, we obtain sets of candidates grouped by their NFs (cf. upper-right-hand box). Morpho-syntactic properties for these candidates are then extracted (\textit{PropExtr}) and 
%Among \textit{\textbf{OccExtr}} results,  relevant variations of the VERB-(DET)-NOUN pattern are filtered (\textit{\textbf{POSfilt}}), which excludes VERB-NOUN-DET in \cp{(TrC7)}. 
%In the training phase, the resulting set of candidates extracted from TrC
%including VMWEs and candidates found by \textit{OccExtr} 
the whole set is randomly divided (\textit{Split}) into two equal subsets TrC\_train and TrC\_dev, so as to be able to calculate COMP values. % by comparing their extracted properties (\textbf{\textit{PropExtr}}). 
For a given candidate $e$ from TrC\_train, when no VMWE with the same NF is annotated in TrC\_dev, $e$ is deleted (\textit{noDevFilt}), as is the case of (TrC6) and (TrC9).
%\todo{AS : pendant l'entrainement (TrC9) doit être gardé; CP : dataflow à modifier: TRC5 doit être dans TRC\_train} 
%This deletion occurs for candidates \cp{(TrC9)(TeC3)(TeC4)} whose NF is \exidio{le;passer;temps}{pass the time} whereas the only available VMWE in TrC\_dev is \exidio{passer;son;temps}{pass one's time}.
%
This may lead to a loss of almost 30\% of TrC\_train but is inevitable, since for each candidate we need at least one lexically identical VMWE in TrC\_dev to calculate the values of the comparative features. 
The final set of positive and negative candidates is then represented by COMP and ABS features (\textit{CompFeatExtr} and \textit{AbsFeatExtr}), and fed into classifier training.

In the prediction phase (lower part of Fig.~\ref{fig:dataflow}), the candidates are extracted from TeC on the basis of their lexical identity (i.e.~NF-identity) with annotated VMWEs from TrC. They are \textit{POSfilt}ered, \textit{Norm}alized and subject to \textit{Prop}erty \textit{Extr}action, as in training. But no \textit{Split} needs to be performed, since each TeC candidate can be compared to a VMWE in TrC\_dev. The 3 candidates remaining after \textit{noDevFilt} are then represented as COMP and ABS features and classified into STVs or non-STVs.
 
%This deletion occurs for candidates \cp{(TrC9)(TeC3)(TeC4)} whose NF is \exidio{le;passer;temps}{pass the time} whereas the only available VMWE in TrC\_dev is \exidio{passer;son;temps}{pass one's time}.
%Note that during prediction no \textit{Split} is performed due to the restricted size of TeC (132 occurrences). 
 %
%For each remaining candidate, 
%we extract 
%the absolute (\textit{\textbf{AbsFeatExtr}}, Sec.\ref{ident:ABSfeatures}) and comparative features (\textit{\textbf{CompFeatExtr}}, Sec.\ref{ident:COMPfeatures})
%%-- by comparing each candidate with the most similar annotated VMWE in TrC\_dev. 
%can be then used to classify candidates as $V(E)$ or $NV(E)$. For that purpose, 
%
We use the NLTK Naive Bayes classifier.\footnote{NLTK (\url{http://www.nltk.org/}) is used with default parameter values, including ELEProbDist (Expected Likelihood Estimation based on Laplacian smoothing with alpha value = 0.5). Preliminary experiments with a linear SVM classifier (NLTK SklearnClassifier) yielded slightly lower performances than Naive Bayes. Given the low amount of the training data, Naive Bayes seems a satisfactory trade-off compared to other classification methods which require more data (e.g.\ polynomial SVM).} 
In the training phase it takes as input the set of positive and negative examples represented as feature-value pairs, together with their classes (STV/non-STV), and outputs a model. In the prediction phase, it takes as input the trained model and the candidates to classify, represented as feature-value pairs, and for each candidate outputs an STV or a non-STV label.
%the candidates represented as sets the set of train features with (non-)MWE label and the test features previously obtained (Fig. \ref{fig:dataflow}). 
Training and prediction are repeated 10 times with random TrC\_train/TrC\_dev splits, corresponding to half of TrC each.
%\todo{AS : Do you mean a 10-fold cross-validation? CP : pas exactement car k pas identique : 10 fois 50\%}.
The classification performance (recall, precision, F1-measure) is evaluated on the manually annotated version of TeC. For each of the 10 training and prediction turns, we also obtain the 100 most informative features associated to the (non-)STV label prediction. 

%\vspace{-2mm}
